// Persistence of Vision Raytracer Version 1.0
//   This data includes 1 Wall, 1 large 2nd floor column,
//   & 2 smaller ionic colums.

//   b-snake.dat is the lower ctds twist that goes around the 
//   door openings.
//   s-head3.dat is the head & top twist of creature
//   turn.dat is ctds data that creates the ionic turned capitals.
//   panther.dat is csg of panther figure.

//  Modified for use in stereo pair. Two of the GIF
//  images have been replaced with single colors, and a third column
//  was added to the bottom row.
//
//  Three cameras are included, the original, and two for stereo.


#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
//#include "marble2.inc"
#include "panther.inc"

#declare pink = color red 1.0 green 0.5 blue 0.5


/* original camera */
camera {
   location <-50 32 -220>
   direction <0 0 1.5>
   up <0 1 0> right <1.333 0 0>
}

/* camera for left eye, render at 768 x 480 or similar aspect ratio */
/*
camera {
    location <-61 80 -220>
    direction <0 0 1.4>
    up <0 1 0> right <1.6 0 0>
}
*/

/* camera for right eye, render at 768 x 480 or similar aspect ratio */
/*
camera {
    location <-39 80 -220>
    direction <0 0 1.4>
    up <0 1 0> right <1.6 0 0>
}
*/

/*-------------- WORLD WALLS ---------------------------------*/
object {
   sphere { <0 0 0> 50000 }
   texture {
      color MidnightBlue
      ambient 1.0
      diffuse 0.0
   }
}

/*---------------LIGHT #1------------------------------------*/
object { light_source { <700 150 -500> color White    } }

/*--------------LIGHT #2-------------------------------------*/
object { light_source { <-4000 100 -1000> color White  } }



   /*---------------------BACKDROP---------------------------------*/
   object {
      intersection { Cube
	 scale <2000 1500 1>
      }

      texture {
	 color Maroon
	 // image_map {  <1.0 -1.0 0> gif "sky1.gif"  }    // Optional sky map
	 // scale <4000 3000 2> translate <-2000 -1500 -2>
	 ambient 0.2
	 diffuse 0.6
      }


      texture {
	 gradient <0 1 0>
	 color_map {
	    [0.0 0.3 color Salmon color BlueViolet alpha 0.3]
	    [0.3 1.0 color BlueViolet alpha 0.3 color Black alpha 0.2]
	 }
	 scale <4000 3000 1>
	 translate <0 -1500 0>
	 ambient 1.0
	 diffuse 0.0
      }
      scale <1 1 1>
      translate <0 0 2000>
   }




   /*------------------- CREATURE & MOTHER-IN-LAW -------------------------*/

   composite { panther
      rotate <0 -30 0>
      scale <1.7 1.7 1.7>
      translate <-45 0 10>
   }


   object {
   
   plane { <0.0 1.0 0.0 > 0.0  }
	texture { Brown_Agate
      scale <150.0 150.0 150.0>
	 }
   	     } 

   // end-of-file
